library(data.table); library(ggplot2)

meteo_data=data.table(
  read.table("2004_aua_meteo.csv",sep=",",header=T, as.is=T)
) 


function(input, output) {
  
  output$theTable=renderDataTable(meteo_data[Day==input$day ,list(
    Rain=mean(Rain,na.rm = T),
    WD.3m=mean(WD.3m,na.rm = T),
    WD.10m=mean(WD.10m,na.rm = T),
    WS.G.10m=mean(WS.G.10m,na.rm = T),
    AirT.1.5=mean(AirT.1.5,na.rm = T),
    AirT.3m=mean(AirT.3m,na.rm = T),
    X.RH.3m=mean(X.RH.3m,na.rm = T),
    Baromete=mean(Baromete,na.rm = T)
  ),
  by=list(Month)])
  
  
  output$thePlot=renderPlot({
    
    mydata = meteo_data[Day==input$day,.SD,by=list(Month)]
    
    ggplot( mydata,aes(x=factor(Month)) ) + 
      geom_boxplot(aes_string(y=input$column))
    
    
    
  })
  
  
}